/*
 * CreditCardValue.java
 * Created on May 26, 2005 
 * Author: 	L�szl� Felf�ldi, Etixpert GmbH
 * mail:	laszlo.felfoldi@etixpert.com		
 */
package com.etixpert.evolution.value.order;

import java.util.Date;

import com.etixpert.evolution.value.Value;

public class CreditCardValue extends Value {
	private String ccNumber;
	private String ccOrg;
	private Date validUntil;
	
	public CreditCardValue(String aCCNumber, String aCCOrg, Date aValidUntil) {
		ccNumber   = aCCNumber;
		ccOrg      = aCCOrg;
		validUntil = aValidUntil;
	}
	
	public String getCCNumber() {
		return ccNumber;
	}
	
	public Date getValidUntil() {
		return validUntil;
	}
	
	public String getCCOrg() {
		return ccOrg;
	}
}
